nix3-nar-dump-path(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix nar dump-path - serialise a path to stdout in NAR format

Synopsis
nix nar dump-path [option…] path

Examples

•   To serialise directory foo as a NAR:

    # nix nar dump-path ./foo > foo.nar

Description
This command generates a NAR file containing the serialisation of path, which must contain only regular files, directories and symbolic links. The NAR is written to standard output.